diff -urN iptables-1.2/libiptc/libip4tc.c iptables/libiptc/libip4tc.c
--- iptables-1.2/libiptc/libip4tc.c	Sat Jan  6 02:17:45 2001
+++ iptables/libiptc/libip4tc.c	Fri Feb  9 15:07:32 2001
@@ -38,6 +38,9 @@
 #ifdef NF_IP_DROPPING
 #define HOOK_DROPPING		NF_IP_DROPPING
 #endif
+#ifdef NF_IP_PROMISC
+#define HOOK_PROMISC		NF_IP_PROMISC
+#endif
 
 #define STRUCT_ENTRY_TARGET	struct ipt_entry_target
 #define STRUCT_ENTRY		struct ipt_entry
diff -urN iptables-1.2/libiptc/libiptc.c iptables/libiptc/libiptc.c
--- iptables-1.2/libiptc/libiptc.c	Sat Jan  6 02:17:45 2001
+++ iptables/libiptc/libiptc.c	Fri Feb  9 15:07:40 2001
@@ -31,9 +31,12 @@
     [HOOK_LOCAL_IN]     "INPUT",
     [HOOK_FORWARD]      "FORWARD",
     [HOOK_LOCAL_OUT]    "OUTPUT",
-    [HOOK_POST_ROUTING] "POSTROUTING",
+    [HOOK_POST_ROUTING] "POSTROUTING"
 #ifdef HOOK_DROPPING
-    [HOOK_DROPPING]	"DROPPING"
+    ,[HOOK_DROPPING]	"DROPPING"
+#endif
+#ifdef HOOK_PROMISC
+    ,[HOOK_PROMISC]	"PROMISC"
 #endif
 };
 
